com.trendmicro.ds.appcontrol.rest.api

## Interface IEventAPI

-     @Path(value="/events")
      public interface IEventAPI

  Interface for retrieving Application Control events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescribeEventResponse` | `describeEvent(java.lang.String sessionID, java.lang.Long eventID)` Get the Application Control event with the specified event ID.
    `ListEventsResponse` | `listEvents(java.lang.String sessionID, java.lang.Long eventID, java.lang.String eventIDOp, java.lang.Long eventTime, java.lang.String eventTimeOp, java.lang.Integer maxItems)` Get Application Control events.

- - ### Method Detail

    - #### describeEvent

          @GET
           @Path(value="/appcontrol/{eventID}")
           @Produces(value={"application/json","application/xml"})
          DescribeEventResponse describeEvent(@CookieParam(value="sID")
                                                                                                                                                  java.lang.String sessionID,
                                                                                                                                                  @PathParam(value="eventID")
                                                                                                                                                  java.lang.Long eventID)
                                                                                                                                           throws java.lang.Exception

      Get the Application Control event with the specified event ID.
      Parameters:
        `eventID` - the ID of the event to fetch.
        `sessionID` - a session ID returned by the Authentication API.
      Returns:
        a DescribeEventResponse containing the event with the specific ID
      Throws:
        `java.lang.Exception`

    - #### listEvents

          @GET
           @Path(value="/appcontrol")
           @Produces(value={"application/json","application/xml"})
          ListEventsResponse listEvents(@CookieParam(value="sID")
                                                                                                                                  java.lang.String sessionID,
                                                                                                                                  @QueryParam(value="eventID")
                                                                                                                                  java.lang.Long eventID,
                                                                                                                                  @QueryParam(value="eventIDOp")
                                                                                                                                  java.lang.String eventIDOp,
                                                                                                                                  @QueryParam(value="eventTime")
                                                                                                                                  java.lang.Long eventTime,
                                                                                                                                  @QueryParam(value="eventTimeOp")
                                                                                                                                  java.lang.String eventTimeOp,
                                                                                                                                  @QueryParam(value="maxItems")
                                                                                                                                  java.lang.Integer maxItems)
                                                                                                                           throws java.lang.Exception

      Get Application Control events.
      Parameters:
        `eventID` - the event ID to query for events. Combined with eventIDOp, the returning events can be filtered according to the id.
        `eventIDOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(equal to), lt(less than), and le(less than or equal to). If an unsupported operator is provided, the default is 'eq'.
        `eventTime` - the event time to query for events. It is represented by a long integer, which is the milliseconds since January 1, 1970, 00:00:00 GMT. Combined with eventTimeOp, the returning events can be filtered by the specific milliseconds. Please be aware that for Application Control events, the accuracy of event time is millisecond. In other words, if you want to exactly filter events by event time, the eventTime value must be millisecond accuracy.
        `eventTimeOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to). If an unsupported operator is provided, the default is 'eq'.
        `maxItems` - the maximum number of events to return
        `sessionID` - a session ID returned by the Authentication API.
      Returns:
        a ListEventsResponse containing a collection of the events that meet the given criteria.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.